Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
[Java] Class DynamicVariable

    java.lang.Object
      org.codehaus.groovy.ast.DynamicVariable

All Implemented Interfaces:
  Variable

    public class DynamicVariable
    extends java.lang.Object

Constructor Summary
`DynamicVariable(java.lang.String name, boolean context)`

Method Summary
`Expression` | `getInitialExpression()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`ClassNode` | `getOriginType()`
`ClassNode` | `getType()`
`boolean` | `hasInitialExpression()`
`boolean` | `isClosureSharedVariable()`
`boolean` | `isDynamicTyped()`
`boolean` | `isInStaticContext()`
`void` | `setClosureSharedVariable(boolean inClosure)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DynamicVariable

    public DynamicVariable(java.lang.String name, boolean context)

Method Detail

### getInitialExpression

    public Expression getInitialExpression()

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getOriginType

    public ClassNode getOriginType()

### getType

    public ClassNode getType()

### hasInitialExpression

    public boolean hasInitialExpression()

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

### isDynamicTyped

    public boolean isDynamicTyped()

### isInStaticContext

    public boolean isInStaticContext()

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

Groovy Documentation